Bug 1015502 - Issues syncing rhel 5 kickstart from CDN
Issues syncing rhel 5 kickstart from CDN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Dennis Gregorovic
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 08:08 EDT by Ivan Necas
Modified: 2014-09-11 08:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:23:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
can sync both rhel 5.9 and 5.10 kickstart repos (49.57 KB, image/png)
2014-08-11 13:30 EDT, Kedar Bidarkar
no flags Details

  None (edit)
Description Ivan Necas 2013-10-04 08:08:47 EDT
Description of problem:
The kickstart repo for rhel 5 doesn't work for syncing distributions in Pulp, as Pulp expects the .treeinfo and repodata in the same directory. In this case, the layout is (provided the live CDN has the same structure as http://download.devel.redhat.com/cds/prod/content/dist/rhel/server/5/5.9/x86_64/kickstart/):

   /.treeinfo
   /Server/repodata

The os version of repo (http://download.devel.redhat.com/cds/prod/content/dist/rhel/server/5/5.9/x86_64/os/) seems to have the right layout.

Also, for RHEL 5.10, it seems there is not the kickstart repo at all.

Additional info:

This might be partly a regression of https://bugzilla.redhat.com/show_bug.cgi?id=805925
Comment 2 Dennis Gregorovic 2013-10-05 09:30:32 EDT
The missing repodata directories should be there now.
Comment 4 Kedar Bidarkar 2014-08-11 13:29:38 EDT
Able to sync both rhel 5.9 & 5.10 kickstart repos without any issues.
Comment 5 Kedar Bidarkar 2014-08-11 13:30:37 EDT
Created attachment 925845 [details]
can sync both rhel 5.9 and 5.10 kickstart repos
Comment 7 Bryan Kearney 2014-09-11 08:23:21 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.